安装ruby 1.9.3出错

OSC总编辑 发布于 2013/08/21 15:56
阅读 1K+
收藏 0

各位大虾,我在linux上安装ruby时出现如下错误信息,求高手指点正确的安装步骤,感激不尽


Searching for binary rubies, this might take some time.

No binary rubies available for: redhat/5
1
2012/x86_64/ruby-1.9.3-p448.
Continuing with compilation. Please read 'rvm help mount' to get more information on binary rubies.
Checking requirements for redhat.
Installing requirements for redhat.
sed: -e expression #1, char 8: unterminated `s' command
awk: /^epel5
awk:  ^ unterminated regexp
awk: cmd. line:2: 2012_key=/{print}
awk: cmd. line:2:         ^ syntax error
awk: cmd. line:2: 2012_key=/{print}
awk: cmd. line:2:           ^ unterminated regexp
awk: /^epel5
awk:  ^ unterminated regexp
awk: cmd. line:2: 2012_key=/{print}
awk: cmd. line:2:         ^ syntax error
awk: cmd. line:2: 2012_key=/{print}
awk: cmd. line:2:           ^ unterminated regexp
sed: -e expression #1, char 8: unterminated `s' command
sed: -e expression #1, char 8: unterminated `s' command
awk: /^epel5
awk:  ^ unterminated regexp
awk: cmd. line:2: 2012_rpm=/{print}
awk: cmd. line:2:         ^ syntax error
awk: cmd. line:2: 2012_rpm=/{print}
awk: cmd. line:2:           ^ unterminated regexp
sed: -e expression #1, char 8: unterminated `s' command
awk: /^epel5
awk:  ^ unterminated regexp
awk: cmd. line:2: 2012_rpm=/{print}
awk: cmd. line:2:         ^ syntax error
awk: cmd. line:2: 2012_rpm=/{print}
awk: cmd. line:2:           ^ unterminated regexp
There is no 'libyaml-devel' package available for installation and RVM does not know how to make that happen,
please tell us how to install 'libyaml-devel' on 'redhat-5
1
2012' here: https://github.com/wayneeseguin/rvm/issues
Requirements installation failed with status: 49.
加载中
0
象牙山赵国强先生
象牙山赵国强先生
 yum装 libyaml-devel 在用rvm装ruby
象牙山赵国强先生
象牙山赵国强先生
回复 @snrt_ddd : yum install libyaml-devel rvm reinstall 1.9.3-p194
OSC总编辑
OSC总编辑
本人刚入门的菜鸟一枚,求详细步骤,多谢啦~
返回顶部
顶部